Skip Menu |
 

This queue is for tickets about the Prophet CPAN distribution.

Report information
The Basics
Id: 93805
Status: new
Priority: 0/
Queue: Prophet

People
Owner: Nobody in particular
Requestors: lxp [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.751
Fixed in: (no value)



Subject: 00-compile.t fails if "recommended" dependencies Template::Declare and/or DBI not installed
Download (untitled) / with headers
text/plain 978b
Prophet v0.751 lists Template::Declare and DBI as "recommended" dependencies rather than required ones. If these dependencies are not installed, some tests in 00-compile.t fail with messages similar to this: Show quoted text
> Base class package "Template::Declare" is empty. > (Perhaps you need to 'use' the module which defines that package > first, or make that module available in @INC (@INC contains: ...). > at lib/Prophet/Server/View.pm line 8.
Show quoted text
> Can't locate Template/Declare/Tags.pm in @INC (you may need to install > the Template::Declare::Tags module) (@INC contains: ...) at > lib/Prophet/Server/ViewHelpers.pm line 11.
Show quoted text
> Can't locate DBI.pm in @INC (you may need to install the DBI module) > (@INC contains: ...) at lib/Prophet/Replica/sqlite.pm line 13.
It appears that either these distributions need to be listed as required dependencies, or the relevant modules in Prophet need to check for the presence of those dependencies and alter their behaviour accordingly.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.